Subject: [OT, for conspiracy theory lovers] Where is the mysterious Area 51?

From: Omer Zak <[email-masked]>
Date: Tue, 01 Feb 2005 09:11:17 +0200

According to http://news.walla.co.il/?w=//664072
there is a "Base 51" in Israel!
-- 
My own blog is at http://www.livejournal.com/users/tddpirate/

My opinions, as expressed in this E-mail message, are mine alone.
They do not represent the official policy of any organization with which
I may be affiliated in any way.
WARNING TO SPAMMERS:  at http://www.zak.co.il/spamwarning.html